#For git snapshots, set to 0 to use release instead:
%global usesnapshot 1
%if 0%{?usesnapshot}
%global commit0 bbcf047535781998e67f71d628ff437fa17fd9e4
%global shortcommit0 %(c=%{commit0}; echo ${c:0:7})
%global snapshottag .20170814git%{shortcommit0}
%endif

Name:           DNotes
%global srcname %{name}Coin
Version:        0.6
Release:        1%{?snapshottag}%{?dist}
Summary:        P2P digital currency

License:        MIT
URL:            http://www.dnotescoin.com/
Source0:        https://github.com/%{srcname}/%{name}/archive/%{commit0}.tar.gz#/%{name}_%{shortcommit0}.tar.gz

BuildRequires:  gcc-c++
BuildRequires:  boost-devel
BuildRequires:  libdb4-cxx-devel
BuildRequires:  openssl-devel
BuildRequires:  qrencode-devel
#Requires:       

%description
DNotes is a blockchain-powered digital currency and peer-to-peer payment system 
that empowers users to send money to one another – quickly, efficiently, and 
without the expense of going through an intermediary middleman. With DNotes, 
we’re bridging the divide between traditional centralized monetary systems and 
the new decentralized models. The DNotes currency is supported by a business 
ecosystem based on sound business principles, in which every component is 
integrated to create a solid foundation that can be rapidly and reliably scaled 
to need. Our commitment to building the supporting infrastructure before 
initiating the riskier technological expansion is a winning strategy that 
should appeal to anyone familiar with the world of business and investment. 
Each component in the DNotes ecosystem operates synergistically with the 
others, helping to power the entire system. Our ultimate vision is focused on 
DNotes becoming the premiere vehicle to bring the benefits of digital currency 
to the entire globe.

%prep
%autosetup -n %{name}-%{commit0}

%build
pushd src
make -f makefile.unix BDB_INCLUDE_PATH=%{_includedir}/libdb4 BDB_LIB_SUFFIX=-4.8


%install
#rm -rf %{buildroot}
#make_install
install -D -m 755 src/%{name}d %{buildroot}/%{_sbindir}/%{name}d

%files
%defattr(-,root,root,-)
%doc README README.md
%{_sbindir}/%{name}d


%changelog
* Sat Nov 18 2017 Vadim Raskhozhev <iamdexpl@gmail.com> - 0.6-1.gitbbcf047
- Initial RPM package
